/*
$(window).on("load", function () {
  $(".gridset").masonry({
    itemSelector: ".grid", //整理される要素のclassを指定
    columnWidth: 0, //一列の幅サイズを指定
    isAnimated: true, //スムースアニメーション設定
    isFitWidth: true, //親要素の幅サイズがピッタリ
    isRTL: false, //整理される要素が左右逆になる（読み言語などに）
    gutterWidth: 0, //整理される要素間の溝の幅を指定
    containerStyle: { position: "relative" }, //親要素にスタイルを追加できる
    isResizable: true, //ウィンドウサイズが変更された時に並び替え
  });

  $("article").addClass("active");
});
*/

function toggleMenu() {
  $(".wrap").toggleClass("slide");
  $(".mainnav").toggleClass("slide");
  $(".menuBtn > i").toggleClass("active");
}

$(function () {
  // スムーススクロール
  if ($(window).width() < 1024) {
    var topMargin = $("header").height() + 50;
    console.log("point50");
  } else {
    var topMargin = $("header").height() + 80;
    console.log("point80");
  }
  console.log(topMargin);
  var time = 1000;
  $('a[href*="#"]').click(function () {
    var target = $(this.hash);
    if (!target.length) return;
    var targetY = target.offset().top - topMargin;
    $("html,body").animate({ scrollTop: targetY }, 800, "swing");
    window.history.pushState(null, null, this.hash);
    return false;
  });
});

$(function () {
  $(".pageMes").delay(500).fadeOut("slow");
});

$(function () {
  var showFlag = false;

  // スクロールの度に発動
  $(window).scroll(function () {
    if ($(this).scrollTop() > 10) {
      if (showFlag == false) {
        showFlag = true;
        $(".topBtn").stop().fadeIn(500);
        $(".sg_link").stop().fadeIn(500);
      }
    } else {
      if (showFlag) {
        showFlag = false;
        $(".topBtn").stop().fadeOut(500);
        $(".sg_link").stop().fadeOut(500);
      }
    }
  });

  $("section.accordion h3").click(function(){
    $(this).toggleClass("open");
  })




});

function openSearch() {
  $("#searchBox").slideToggle();
}

function openOption() {
  if ($(window).width() > 1023) {
    $("#search_option").slideToggle();
  }
}

function goTop() {
  $("html,body").animate({ scrollTop: 0 }, 400, "swing");
}

function openDialog() {
  $("#wrap").fadeToggle();
  $("#deleteDialog").fadeToggle();
}
